vich_uploader:
    db_driver: orm

    metadata:
        type: attribute
    mappings:
        images:
            uri_prefix: /uploads
            upload_destination: '%kernel.project_dir%/public/uploads'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
        images_curso:
            uri_prefix: /uploads
            upload_destination: '%kernel.project_dir%/public/imagemcurso'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
        pdfs:
            uri_prefix: /ebooks/pdf
            upload_destination: '%kernel.project_dir%/public/ebooks/pdf'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer # specify a file namer service id for this entity, null default
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
        anuncios_images:
            uri_prefix: anuncios/img
            upload_destination: '%kernel.project_dir%/public/anuncios/img'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer # specify a file namer service id for this entity, null default
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true